﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text.RegularExpressions;
using MySystem.Models.Main;
using Library;
using LitJson;
using System.Threading;

namespace MySystem
{
    public class TestOpenDivideAccountsService
    {
        public readonly static TestOpenDivideAccountsService Instance = new TestOpenDivideAccountsService();
        private TestOpenDivideAccountsService()
        { }

        public void Start()
        {
            Thread th = new Thread(StartListen);
            th.IsBackground = true;
            th.Start();
        }

        public void StartListen()
        {
            // StartDo(1);
            StartDos(580);
        }

        public void StartDo(int MerchantId)
        {
            WebCMSEntities db = new WebCMSEntities();
            MerchantAddInfo AddInfo = db.MerchantAddInfo.FirstOrDefault(m => m.Id == MerchantId);
            var info = AddOpenDivideAccountsUtil.AddValue(AddInfo);
            string result = HaoDaHelper.Instance.AddOpenDivideAccounts(info);
            db.Dispose();
        }

        public void StartDos(int MerchantId)
        {
            WebCMSEntities db = new WebCMSEntities();
            MerchantAddInfo AddInfo = db.MerchantAddInfo.FirstOrDefault(m => m.Id == MerchantId);
            string result = HaoDaHelper.Instance.OpenDivideAccounts(AddInfo.SeoKeyword,AddInfo.SeoDescription);
            db.Dispose();
        }
    }
}