using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using LitJson;
using MySystem;
using MySystem.Models.Main;

namespace MySystem
{
    /// <summary>
    /// 添加分账接收方账户参数赋值
    /// </summary>
    public class AddOpenDivideAccountsUtil
    {
        public static AddOpenDivideAccounts AddValue(MerchantAddInfo AddInfo)
        {
            AddOpenDivideAccounts addOpenDivideAccounts = new AddOpenDivideAccounts();

            // addOpenDivideAccounts.acctNo = ""; //非必须 用户编码（创建分账接收方失败或者审核驳回时，修改信息时填写）
            addOpenDivideAccounts.userType = "1"; //必须 用户类型 1-企业,2-个人
            addOpenDivideAccounts.userName = "蒲晓敏"; //必须 用户名，个人填写身份证姓名，企业填写法人姓名
            addOpenDivideAccounts.compName = "四川省润观米科技有限公司"; //企业必须 企业名称
            // addOpenDivideAccounts.mobile=""; //非必须 手机号
            addOpenDivideAccounts.legalCertType = "1"; //必须 法人证明类型 1身份证 2护照 3港澳台居民通行证（废弃不用）4外国人永久居留证 5香港来往内地通行证 6澳门来往内地通行证 7台湾同胞来往内地通行证
            addOpenDivideAccounts.userCardNo = "511304198607137628"; //必须 身份证号
            addOpenDivideAccounts.userCardStartDate = "20150302"; //必须 法人证件开始日期
            addOpenDivideAccounts.userCardEndDate = "20350302"; //必须 法人证件结束日期
            addOpenDivideAccounts.acctNm = "四川省润观米科技有限公司"; //必须 账户名称
            addOpenDivideAccounts.acctType = "0"; //必须 账户类型（0-对公、1-对私）
            addOpenDivideAccounts.bankCardNo = "11360000000324886"; //必须 银行卡号
            addOpenDivideAccounts.acctBankNo = "304100040000"; //必须 总行行号
            addOpenDivideAccounts.acctBankNm = "华夏银行"; //必须 总行名称
            addOpenDivideAccounts.acctZbankNo = "304651010227"; //必须 支行行号
            addOpenDivideAccounts.acctZbankNm = "夏银行股份有限公司成都天府支行"; //必须 支行名称
            addOpenDivideAccounts.acctZbankCode = "510122"; //必须 开户支行地区码
            // addOpenDivideAccounts.reservedPhone=""; //非必须 预留手机号。个人和企业对私必填
            addOpenDivideAccounts.licNo = "91510106MA6C7RRTXR"; //企业必须 营业执照号
            addOpenDivideAccounts.licStartDate = "20171212"; //企业必须 营业执照开始日期
            addOpenDivideAccounts.licEndDate = "长期"; //企业必须 营业执照结束日期
            addOpenDivideAccounts.businessAddressCode = "510106"; //企业必须 企业经营地区码
            addOpenDivideAccounts.businessAddress = "四川省成都市金牛区星辉西路9号1栋7层11号"; //企业必须 企业经营详细地址
            addOpenDivideAccounts.regAddressCode = "510106"; //企业必须 企业注册地址地区码
            addOpenDivideAccounts.regAddress = "四川省成都市金牛区星辉西路9号1栋7层11号"; //企业必须 企业注册详细地址
            // addOpenDivideAccounts.compTel=""; //非必须 固定电话
            addOpenDivideAccounts.businessMcc = "软件开发；技术推广服务；信息系统集成服务；企业营销策划；广告设计、制作、代理、发布；组织策划文化交流活动；销售：电子产品、办公用品、生活日用品。"; //企业必须 经营范围mcc

            // addOpenDivideAccounts.acctNo = ""; //非必须 用户编码（创建分账接收方失败或者审核驳回时，修改信息时填写）
            // if (AddInfo.LicenceType == "0")//0-企业法人营业执照 1-个体工商户营业执照
            // {
            //     addOpenDivideAccounts.userType = "1"; //必须 用户类型 1-企业,2-个人
            //     addOpenDivideAccounts.userName = AddInfo.CertLegalPerson; //必须 用户名，个人填写身份证姓名，企业填写法人姓名
            //     addOpenDivideAccounts.compName = ""; //企业必须 企业名称
            // }
            // if (AddInfo.LicenceType == "1")
            // {
            //     addOpenDivideAccounts.userType = "2"; //必须 用户类型 1-企业,2-个人
            //     addOpenDivideAccounts.userName = AddInfo.CertMerchantName; //必须 用户名，个人填写身份证姓名，企业填写法人姓名
            // }
            // // addOpenDivideAccounts.mobile=""; //非必须 手机号
            // addOpenDivideAccounts.legalCertType = "1"; //必须 法人证明类型 1身份证 2护照 3港澳台居民通行证（废弃不用）4外国人永久居留证 5香港来往内地通行证 6澳门来往内地通行证 7台湾同胞来往内地通行证
            // addOpenDivideAccounts.userCardNo = AddInfo.IdCardNumber; //必须 身份证号
            // addOpenDivideAccounts.userCardStartDate = AddInfo.CardPeriodBegin.Value.ToString("yyyyMMdd"); //必须 法人证件开始日期
            // addOpenDivideAccounts.userCardEndDate = AddInfo.CardPeriodEnd.Value.ToString("yyyyMMdd"); //必须 法人证件结束日期
            // addOpenDivideAccounts.acctNm = AddInfo.AccountName; //必须 账户名称
            // addOpenDivideAccounts.acctType = AddInfo.BankAccountType; //必须 账户类型（0-对公、1-对私）
            // addOpenDivideAccounts.bankCardNo = AddInfo.AccountNumber; //必须 银行卡号
            // addOpenDivideAccounts.acctBankNo = ""; //必须 总行行号
            // addOpenDivideAccounts.acctBankNm = ""; //必须 总行名称
            // addOpenDivideAccounts.acctZbankNo = AddInfo.BankBranchId; //必须 支行行号
            // addOpenDivideAccounts.acctZbankNm = ""; //必须 支行名称
            // addOpenDivideAccounts.acctZbankCode = AddInfo.BankAddressCode; //必须 开户支行地区码
            // // addOpenDivideAccounts.reservedPhone=""; //非必须 预留手机号。个人和企业对私必填
            // addOpenDivideAccounts.licNo = AddInfo.LicenseNumber; //企业必须 营业执照号
            // addOpenDivideAccounts.licStartDate = AddInfo.PeriodBegin.Value.ToString("yyyyMMdd"); //企业必须 营业执照开始日期
            // addOpenDivideAccounts.licEndDate = AddInfo.PeriodEnd.Value.ToString("yyyyMMdd"); //企业必须 营业执照结束日期
            // addOpenDivideAccounts.businessAddressCode = AddInfo.BizAddressCode; //企业必须 企业经营地区码
            // addOpenDivideAccounts.businessAddress = AddInfo.BizStoreAddress; //企业必须 企业经营详细地址
            // addOpenDivideAccounts.regAddressCode = ""; //企业必须 企业注册地址地区码
            // addOpenDivideAccounts.regAddress = ""; //企业必须 企业注册详细地址
            // // addOpenDivideAccounts.compTel=""; //非必须 固定电话
            // addOpenDivideAccounts.businessMcc = AddInfo.SalesScenesType; //企业必须 经营范围mcc
            List<ImageItem> imageList = new List<ImageItem>();
            ImageItem imageItem = new ImageItem();
            //身份证正面
            if (!string.IsNullOrEmpty(AddInfo.IdCardCopy))
            {
                var tokenInfo = JsonMapper.ToObject(HaoDaHelper.Instance.GetToken(AddInfo.IdCardCopy.Substring(AddInfo.IdCardCopy.LastIndexOf("/")).Trim('/'), "0"));
                if (tokenInfo["code"].ToString() == "1")
                {
                    var returnInfo = HaoDaHelper.Instance.ReturnFileName(tokenInfo["token"].ToString(), AddInfo.IdCardCopy);
                    if (returnInfo != "false")
                    {
                        imageItem = new ImageItem();
                        imageItem.name = "idCardFront";
                        imageItem.value = returnInfo;
                        imageList.Add(imageItem);
                    }
                }
            }
            //身份证反面
            if (!string.IsNullOrEmpty(AddInfo.IdCardNational))
            {
                var tokenInfo = JsonMapper.ToObject(HaoDaHelper.Instance.GetToken(AddInfo.IdCardNational.Substring(AddInfo.IdCardNational.LastIndexOf("/")).Trim('/'), "0"));
                if (tokenInfo["code"].ToString() == "1")
                {
                    var returnInfo = HaoDaHelper.Instance.ReturnFileName(tokenInfo["token"].ToString(), AddInfo.IdCardNational);
                    if (returnInfo != "false")
                    {
                        imageItem = new ImageItem();
                        imageItem.name = "idCardBack";
                        imageItem.value = returnInfo;
                        imageList.Add(imageItem);
                    }
                }
            }
            //法人手持身份证正面
            if (!string.IsNullOrEmpty(AddInfo.PersonWithIdCard))
            {
                var tokenInfo = JsonMapper.ToObject(HaoDaHelper.Instance.GetToken(AddInfo.PersonWithIdCard.Substring(AddInfo.PersonWithIdCard.LastIndexOf("/")).Trim('/'), "0"));
                if (tokenInfo["code"].ToString() == "1")
                {
                    var returnInfo = HaoDaHelper.Instance.ReturnFileName(tokenInfo["token"].ToString(), AddInfo.PersonWithIdCard);
                    if (returnInfo != "false")
                    {
                        imageItem = new ImageItem();
                        imageItem.name = "personWithIdCard";
                        imageItem.value = returnInfo;
                        imageList.Add(imageItem);
                    }
                }
            }
            //收款人银行卡照片
            if (!string.IsNullOrEmpty(AddInfo.BankCard))
            {
                var tokenInfo = JsonMapper.ToObject(HaoDaHelper.Instance.GetToken(AddInfo.BankCard.Substring(AddInfo.BankCard.LastIndexOf("/")).Trim('/'), "0"));
                if (tokenInfo["code"].ToString() == "1")
                {
                    var returnInfo = HaoDaHelper.Instance.ReturnFileName(tokenInfo["token"].ToString(), AddInfo.BankCard);
                    if (returnInfo != "false")
                    {
                        imageItem = new ImageItem();
                        imageItem.name = "bankCard";
                        imageItem.value = returnInfo;
                        imageList.Add(imageItem);
                    }
                }
            }
            //营业执照
            if (!string.IsNullOrEmpty(AddInfo.LicenseCopy))
            {
                var tokenInfo = JsonMapper.ToObject(HaoDaHelper.Instance.GetToken(AddInfo.LicenseCopy.Substring(AddInfo.LicenseCopy.LastIndexOf("/")).Trim('/'), "0"));
                if (tokenInfo["code"].ToString() == "1")
                {
                    var returnInfo = HaoDaHelper.Instance.ReturnFileName(tokenInfo["token"].ToString(), AddInfo.LicenseCopy);
                    if (returnInfo != "false")
                    {
                        imageItem = new ImageItem();
                        imageItem.name = "license";
                        imageItem.value = returnInfo;
                        imageList.Add(imageItem);
                    }
                }
            }
            //开户许可证(对公凭证)
            if (!string.IsNullOrEmpty(AddInfo.OpenAccountLicenses))
            {
                var tokenInfo = JsonMapper.ToObject(HaoDaHelper.Instance.GetToken(AddInfo.OpenAccountLicenses.Substring(AddInfo.OpenAccountLicenses.LastIndexOf("/")).Trim('/'), "0"));
                if (tokenInfo["code"].ToString() == "1")
                {
                    var returnInfo = HaoDaHelper.Instance.ReturnFileName(tokenInfo["token"].ToString(), AddInfo.OpenAccountLicenses);
                    if (returnInfo != "false")
                    {
                        imageItem = new ImageItem();
                        imageItem.name = "openAccountLicenses";
                        imageItem.value = returnInfo;
                        imageList.Add(imageItem);
                    }
                }
            }

            addOpenDivideAccounts.images = imageList; //图片
            return addOpenDivideAccounts;
        }
    }
}